// Example of different use cases for Bootstrap Toasts, remove the ones you don't need.
import { Toast } from "./_bootstrap";

(() => {
  // Run Toast on button trigger.
  const toastTrigger = document.getElementById("liveToastBtn");
  const toastLiveExample = document.getElementById("liveToast");

  if (toastTrigger) {
    const toastBootstrap = Toast.getOrCreateInstance(toastLiveExample);
    toastTrigger.addEventListener("click", () => {
      toastBootstrap.show();
    });
  }

  // Toast on page load.
  document.addEventListener("DOMContentLoaded", (event) => {
    const toastElList = [].slice.call(document.querySelectorAll(".toast"));
    const toastList = toastElList.map((toastEl) =>
      new Toast(toastEl, { autohide: false }).show(),
    );
  });
})();
